<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from sudoku_candidateprint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="sudoku_candidateprint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>sudoku_candidateprint</refname><refpurpose>Find and print a candidate in the sudoku.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   str = sudoku_candidateprint ( X , C , L , d )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> a 9-by-9 matrix, with 0 for unknown entries</para></listitem></varlistentry>
   <varlistentry><term>C:</term>
      <listitem><para> a 9 x 9 cell of candidates</para></listitem></varlistentry>
   <varlistentry><term>L:</term>
      <listitem><para> the 9 x 9 matrix of number candidates</para></listitem></varlistentry>
   <varlistentry><term>d:</term>
      <listitem><para> the digit to find in the sudoku</para></listitem></varlistentry>
   <varlistentry><term>rows:</term>
      <listitem><para> the rows where the candidate is found</para></listitem></varlistentry>
   <varlistentry><term>cols:</term>
      <listitem><para> the columns where the candidate is found</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Search for the candidate d in all the nonfixed cells of the sudoku X.
The search is performed by sudoku_candidatefind.
Then print the cells where the candidate d appears.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
X = [
4 0 0   3 9 0   0 0 2
2 6 0   0 5 8   3 9 0
5 9 3   6 0 0   1 8 0
..
1 0 0   8 6 0   0 0 9
6 0 5   9 0 0   2 0 0
0 3 9   2 4 5   0 1 6
..
0 5 6   0 0 9   0 2 0
0 1 4   7 0 0   9 0 5
9 0 0   5 3 0   0 0 0
];
[C,L] = sudoku_candidates(X);
str = sudoku_candidateprint ( X , C , L , 2 );

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010</member>
   </simplelist>
</refsection>
</refentry>
